#ifndef LEAFTREE_H
#define LEAFTREE_H

#include "object.h"
#include "texture.h"

class LeafTree : public Object {
   private:
      static int counter;
      static GLuint list;
      static Texture *noha, *listi;

      void listnac();

	public:
		LeafTree(int x, int y, int rot);
		~LeafTree();
		virtual void innerDraw(void);
		virtual void bounds(void);
		virtual char *getName();
		virtual char *save(void);
};

#endif
