#ifndef BENCH_H
#define BENCH_H

#include "object.h"
#include "texture.h"

class Bench : public Object {
   private:
      static int counter;
      static GLfloat pewterSpecular[];
      static GLfloat pewterDiffuse[];
      static GLfloat pewterAmbient[];
      static GLfloat pewterShininess[];
      static GLuint list;
      static Texture *wood;
      
      void lavicka();
      void kul();
      void lista();

	public:
		Bench(int x, int y, int rot);
		~Bench();
		virtual void innerDraw(void);
		virtual void bounds(void);
		virtual char *getName();
		virtual char *save(void);
};

#endif
