#include <GL/gl.h>
#include "textviewer.h"

TextViewer::TextViewer() {
   head = NULL;
}
             
void TextViewer::add(char *text) {
   Node *pom = new Node(text);
   pom->setNext(head);
   if(head != NULL) head->up();
   head = pom;
}
             
void TextViewer::show() {
   if(head != NULL) {
      glColor3f(1.0, 1.0, 1.0);
      font.begin();
      Node *pom = head;
      if(head->update()) {
         delete head;
         head = NULL;
      }
      else {
         font.printf(10, head->getLine(), head->getText());
      }
      while(pom->getNext() != NULL) {
         if(pom->getNext()->update()) {
            pom->setNext(NULL);
            delete pom->getNext();
//            head->up();
         }
         else {
            font.printf(10, pom->getNext()->getLine(), pom->getNext()->getText());
            pom = pom->getNext();
         }
      }
      font.end();
   }
}
